Download it now!
Bug 127994 - Tip of the day dialog get resized horizontally on every tip (gtk3)
Summary: Tip of the day dialog get resized horizontally on every tip (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3 Tip-Of-The-Day 128524
  Show dependency treegraph
 
Reported: 2019-10-07 08:17 UTC by Xisco Faulí
Modified: 2019-11-16 17:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-07 08:17:31 UTC
Steps to reproduce:
1. Clean the user profile
2. Launch Writer
3. Click on 'new tip' button

-> The dialog get resized
Comment 1 Xisco Faulí 2019-10-07 08:19:09 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3d85f485dee1c4e0c3a30f2e088fe34be69e1b06

author	Heiko Tietze <heiko.tietze@documentfoundation.org>	2019-09-08 11:29:29 +0200
committer	Heiko Tietze <heiko.tietze@documentfoundation.org>	2019-09-13 12:07:22 +0200
commit	3d85f485dee1c4e0c3a30f2e088fe34be69e1b06 (patch)
tree	b1328bf149d941107e7bdb7cfeadcca57fb19ede
parent	b59a67b4e3186660155038906ecb6d6fb11df834 (diff)
Resolves tdf#127436 - Display issues of TotD on macOS

Bisected with: bibisect-linux64-6.4

Adding Cc: to Heiko Tietze
Comment 2 Heiko Tietze 2019-10-07 10:59:12 UTC
Wouldn't call it a regression. The dialog has no defined width and I hesitate to set, let's say 200px, as this may not work in case of high resolution. The width is calculated based on the content which has a maximum width of 50 characters but is wrapped at word and therefore variable. My take: NAB.
Comment 3 Heiko Tietze 2019-10-15 06:39:46 UTC
Xisco, your opinion regarding NAB please.
Comment 4 Xisco Faulí 2019-10-15 07:26:55 UTC
(In reply to Heiko Tietze from comment #3)
> Xisco, your opinion regarding NAB please.

Sorry, I missed it.
Well, at least it seems a regression from the user point of view. Before the commit mentioned, the dialog didn't get resized, the problem I see now is that the cursor is where the next button is, I click next, the dialog resizes and in the next tip, the cursor is where the close button is, thus if I click again, I close the dialog instead of going to the next tip, a bit annoying imho
Comment 5 Heiko Tietze 2019-10-16 11:51:50 UTC
https://gerrit.libreoffice.org/#/c/80887/
Comment 6 Commit Notification 2019-10-17 10:20:10 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dae96d4e629c5eccaacdc763cd390d341c16175d

Resolves tdf#127994 - Totd dialog get resized horizontally

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-10-23 10:29:15 UTC
The dialog still gets resized in

Version: 6.4.0.0.alpha1+
Build ID: 437dc68285dab0f08a1ded2193d86d64f560cd9b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 Heiko Tietze 2019-10-23 10:30:59 UTC
(In reply to Xisco Faulí from comment #7)
> The dialog still gets resized in

If that happens it would be only in rare cases. Guess I cannot do much more without making it ugly.
Comment 9 Xisco Faulí 2019-10-24 11:00:25 UTC
@Caolán, is it something you could tweak a bit more ?
Comment 10 Ming Hua 2019-10-25 07:18:13 UTC
(In reply to Xisco Faulí from comment #4)
> the problem I see now is
> that the cursor is where the next button is, I click next, the dialog
> resizes and in the next tip, the cursor is where the close button is, thus
> if I click again, I close the dialog instead of going to the next tip, a bit
> annoying imho

I'm merely a user and not a developer, but if this is the main concern, instead of trying to keep the dialog width constant, wouldn't moving the mouse cursor onto the next button after the click and resizing an alternative solution?
Comment 11 Heiko Tietze 2019-10-25 07:31:22 UTC
(In reply to Ming Hua from comment #10)
> wouldn't moving the mouse cursor onto the next button after the click...

Bad usability when the cursor jumps around. You don't feel safe anymore when the application takes over control of your input devices. OTOH, resistance is futile :-)
Comment 12 Ming Hua 2019-10-25 08:40:18 UTC
(In reply to Heiko Tietze from comment #11)
> (In reply to Ming Hua from comment #10)
> > wouldn't moving the mouse cursor onto the next button after the click...
> 
> Bad usability when the cursor jumps around. You don't feel safe anymore when
> the application takes over control of your input devices. OTOH, resistance
> is futile :-)
Hmm... what about moving the button to directly under the cursor, then? ;-)

I'm only half-joking, but I know it's easily said than done.  Basicly I'm agreeing with Xisco that not being able to keeping clicking the next button is a bit inconvenient.
Comment 13 Caolán McNamara 2019-10-29 14:22:25 UTC
https://gerrit.libreoffice.org/#/c/81685/ may be acceptable to all I hope
Comment 14 Commit Notification 2019-10-29 19:59:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/517e093d78012896b54628d6a3092162be3cedec

tdf#127994 stabilize tip of the day width

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Xisco Faulí 2019-10-31 11:49:40 UTC
Verified in

Version: 6.4.0.0.alpha1+
Build ID: 2d0a4182712673d8f7a5abe919cd2a1d5ece4a77
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 16 Commit Notification 2019-11-14 16:43:17 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/f85473e0fbfbca0329559b0c6258e5ae603bfb34

Resolves tdf#127994 - Totd dialog get resized horizontally

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.